Bug 91504

Summary: [Qt] fast/forms tests needs update after rebaseline and new testfonts
Product: WebKit Reporter: Bruno Abinader (history only) <bruno.abinader>
Component: WebKit QtAssignee: Bruno Abinader (history only) <bruno.abinader>
Status: RESOLVED FIXED    
Severity: Normal CC: hausmann, igor.oliveira, menard, noam, ossy, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 85203, 91610, 91990    
Attachments:
Description Flags
Proposed patch
none
Proposed patch (v2)
none
Missing/Updated results patch
none
Re-skip and remove added tests on WK2 platform
none
Re-skip and remove added tests on WK2 platform (w/ ChangeLog) none

Description Bruno Abinader (history only) 2012-07-17 08:55:54 PDT
After the rebaseline proposed by Bug 85203 - [Qt] DumpRenderTree does not use 'monospace' font when directed, fast/forms tests directory needs to be updated.
Comment 1 Bruno Abinader (history only) 2012-07-17 13:42:12 PDT
Created attachment 152816 [details]
Proposed patch

Proposed patch (be aware, 3Mb patch!)
Comment 2 Bruno Abinader (history only) 2012-07-17 13:58:51 PDT
Created attachment 152822 [details]
Proposed patch (v2)

Added missing ChangeLog.
Comment 3 Alexis Menard (darktears) 2012-07-17 14:20:22 PDT
Comment on attachment 152822 [details]
Proposed patch (v2)

rs=me
Comment 4 WebKit Review Bot 2012-07-17 15:21:39 PDT
Comment on attachment 152822 [details]
Proposed patch (v2)

Clearing flags on attachment: 152822

Committed r122879: <http://trac.webkit.org/changeset/122879>
Comment 5 WebKit Review Bot 2012-07-17 15:21:43 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Bruno Abinader (history only) 2012-07-19 09:13:37 PDT
53 new failing tests according to latest build:

http://build.webkit.sed.hu/builders/x86-32%20Linux%20Qt%20Release%20WebKit2/builds/26755/steps/layout-test

List of failing fast/forms tests:
  fast/forms/HTMLOptionElement_label06.html = TEXT
  fast/forms/HTMLOptionElement_label07.html = TEXT
  fast/forms/basic-inputs.html = TEXT
  fast/forms/basic-textareas-quirks.html = TEXT
  fast/forms/box-shadow-override.html = TEXT
  fast/forms/control-restrict-line-height.html = TEXT
  fast/forms/encoding-test.html = TEXT
  fast/forms/fieldset-align.html = TEXT
  fast/forms/form-element-geometry.html = TEXT
  fast/forms/input-appearance-bkcolor.html = TEXT
  fast/forms/input-appearance-default-bkcolor.html = TEXT
  fast/forms/input-appearance-disabled.html = TEXT
  fast/forms/input-appearance-focus.html = TEXT
  fast/forms/input-appearance-preventDefault.html = TEXT
  fast/forms/input-appearance-readonly.html = TEXT
  fast/forms/input-appearance-selection.html = TEXT
  fast/forms/input-appearance-visibility.html = TEXT
  fast/forms/input-baseline.html = TEXT
  fast/forms/input-disabled-color.html = TEXT
  fast/forms/input-double-click-selection-gap-bug.html = TEXT
  fast/forms/input-placeholder-visibility-1.html = TEXT
  fast/forms/input-placeholder-visibility-3.html = TEXT
  fast/forms/input-readonly-dimmed.html = TEXT
  fast/forms/input-readonly-empty.html = TEXT
  fast/forms/input-spaces.html = TEXT
  fast/forms/input-text-click-inside.html = TEXT
  fast/forms/input-text-double-click.html = TEXT
  fast/forms/input-text-option-delete.html = TEXT
  fast/forms/input-text-self-emptying-click.html = TEXT
  fast/forms/input-text-word-wrap.html = TEXT
  fast/forms/input-width.html = TEXT
  fast/forms/menulist-separator-painting.html = TEXT
  fast/forms/number/input-appearance-number-rtl.html = TEXT
  fast/forms/number/input-appearance-spinbutton-disabled-readonly.html = TEXT
  fast/forms/number/input-appearance-spinbutton-layer.html = TEXT
  fast/forms/placeholder-position.html = TEXT
  fast/forms/placeholder-pseudo-style.html = TEXT
  fast/forms/search-cancel-button-style-sharing.html = TEXT
  fast/forms/search-display-none-cancel-button.html = TEXT
  fast/forms/search-rtl.html = TEXT
  fast/forms/search-vertical-alignment.html = TEXT
  fast/forms/select-background-none.html = TEXT
  fast/forms/select-baseline.html = TEXT
  fast/forms/selectlist-minsize.html = TEXT
  fast/forms/text-style-color.html = TEXT
  fast/forms/textarea-align.html = TEXT
  fast/forms/textarea-placeholder-pseudo-style.html = TEXT
  fast/forms/textarea-placeholder-visibility-1.html = TEXT
  fast/forms/textarea-placeholder-visibility-2.html = TEXT
  fast/forms/textarea-setinnerhtml.html = TEXT
  fast/forms/textfield-focus-ring.html = TEXT
  fast/forms/textfield-outline.html = TEXT
  fast/forms/textfield-overflow.html = TEXT

I am having a double check at those atm.
Comment 7 Bruno Abinader (history only) 2012-07-19 11:14:34 PDT
Created attachment 153311 [details]
Missing/Updated results patch

This patch fixes the faulty results for fast/forms directory after r122879.
Comment 8 Noam Rosenthal 2012-07-19 14:51:00 PDT
Comment on attachment 153311 [details]
Missing/Updated results patch

rs=me
Comment 9 WebKit Review Bot 2012-07-19 15:41:22 PDT
Comment on attachment 153311 [details]
Missing/Updated results patch

Clearing flags on attachment: 153311

Committed r123156: <http://trac.webkit.org/changeset/123156>
Comment 10 WebKit Review Bot 2012-07-19 15:41:27 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Bruno Abinader (history only) 2012-07-26 06:15:01 PDT
Created attachment 154633 [details]
Re-skip and remove added tests on WK2 platform

This patch removes and re-skips the added tests for qt-5.0-wk2 layout test platform directory. As discussed with Caio, these tests should be assigned to proper bugs instead.
Comment 12 Bruno Abinader (history only) 2012-07-26 06:15:38 PDT
Changing status to "reopened".
Comment 13 Bruno Abinader (history only) 2012-07-26 06:17:36 PDT
Created attachment 154635 [details]
Re-skip and remove added tests on WK2 platform (w/ ChangeLog)

Added missing ChangeLog.
Comment 14 WebKit Review Bot 2012-07-26 06:47:23 PDT
Comment on attachment 154635 [details]
Re-skip and remove added tests on WK2 platform (w/ ChangeLog)

Rejecting attachment 154635 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
tching file LayoutTests/platform/qt-5.0-wk2/fast/forms/textfield-outline-expected.txt
rm 'LayoutTests/platform/qt-5.0-wk2/fast/forms/textfield-outline-expected.txt'
patching file LayoutTests/platform/qt-5.0-wk2/fast/forms/textfield-overflow-expected.txt
rm 'LayoutTests/platform/qt-5.0-wk2/fast/forms/textfield-overflow-expected.txt'

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Alexis Men..." exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/13348766
Comment 15 Bruno Abinader (history only) 2012-07-26 07:20:39 PDT
Comment on attachment 154635 [details]
Re-skip and remove added tests on WK2 platform (w/ ChangeLog)

Commit-queue complain is valid, this patch is supposed to be applied after patch from bug 92186 gets landed, because they add data to the same file: LayoutTests/platform/qt-5.0-wk2/Skipped

Please consider granting cq again.
Comment 16 WebKit Review Bot 2012-07-26 09:44:41 PDT
Comment on attachment 154635 [details]
Re-skip and remove added tests on WK2 platform (w/ ChangeLog)

Clearing flags on attachment: 154635

Committed r123762: <http://trac.webkit.org/changeset/123762>
Comment 17 WebKit Review Bot 2012-07-26 09:44:47 PDT
All reviewed patches have been landed.  Closing bug.